<?php

/**
 * Send email using mail() (same API as SMTP::sendMail)
 *
 * @access public
 * @param string $to
 * @param string $subject encoded as $encoding
 * @param string $message encoded as $encoding
 * @param array $headers optional
 * @param string $encoding optional default = UTF-8
 * @return bool success
 */
#public 
function sendMail($email_to, $subject, $msg, $headers=null, $encoding='UTF-8'){	
	mb_internal_encoding($encoding);
	$subject = mb_encode_mimeheader($subject, $encoding);
	$header_str = '';
	if (!is_array($headers)) $headers=array();
	if (!isset($headers['Content-Type'])) $headers['Content-Type'] = 'text/plain; charset='.$encoding;
	foreach ($headers as $key=>$value){
		$header_str .= "$key: $value\n";
	}
	$msg = str_replace("\r", '', $msg);
	$ok = mail($email_to, $subject, $msg, $header_str);
	return $ok;
}

?>